# volume type

Block Storage v2, v3

## volume type create

Create new volume type

    openstack volume type create
        [--description <description>]
        [--public
        |
        --private
        ]
        [--property <key=value>]
        [--multiattach]
        [--cacheable]
        [--replicated]
        [--availability-zone AVAILABILITY_ZONES]
        [--project <project>]
        [--project-domain <project-domain>]
        [--encryption-provider <provider>]
        [--encryption-cipher <cipher>]
        [--encryption-key-size <key-size>]
        [--encryption-control-location <control-location>]
        <name>

--description <description>

  Volume type description

--public

  Volume type is accessible to the public

--private

  Volume type is not accessible to the public

--property <key=value>

  Set a property on this volume type (repeat option to set multiple properties)

--multiattach

  Enable multi-attach for this volume type (this is an alias for ‘–property multiattach=<is> True’) (requires driver support)

--cacheable

  Enable caching for this volume type (this is an alias for ‘–property cacheable=<is> True’) (requires driver support)

--replicated

  Enabled replication for this volume type (this is an alias for ‘–property replication_enabled=<is> True’) (requires driver support)

--availability-zone <AVAILABILITY_ZONES>

  Set an availability zone for this volume type (this is an alias for ‘–property RESKEY:availability_zones:<az>’) (repeat option to set multiple availability zones)

--project <project>

  Allow <project> to access private type (name or ID) (must be used with –private option)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--encryption-provider <provider>

  Set the encryption provider format for this volume type (e.g “luks” or “plain”) (admin only) (this option is required when setting encryption type of a volume; consider using other encryption options such as: “–encryption-cipher”, “–encryption-key-size” and “–encryption-control-location”)

--encryption-cipher <cipher>

  Set the encryption algorithm or mode for this volume type (e.g “aes-xts-plain64”) (admin only)

--encryption-key-size <key-size>

  Set the size of the encryption key of this volume type (e.g “128” or “256”) (admin only)

--encryption-control-location <control-location>

  Set the notional service where the encryption is performed (“front-end” or “back-end”) (admin only) (The default value for this option is “front-end” when setting encryption type of a volume. Consider using other encryption options such as: “–encryption-cipher”, “–encryption-key-size” and “–encryption-provider”)

name

  Volume type name

## volume type delete

Delete volume type(s)

    openstack volume type delete <volume-type> [<volume-type> ...]

volume-type

  Volume type(s) to delete (name or ID)

## volume type list

List volume types

    openstack volume type list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]
        [--default | --public | --private]
        [--encryption-type]
        [--property <key=value>]
        [--multiattach]
        [--cacheable]
        [--replicated]
        [--availability-zone AVAILABILITY_ZONES]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--default

  List the default volume type

--public

  List only public types

--private

  List only private types (admin only)

--encryption-type

  Display encryption information for each volume type (admin only)

--property <key=value>

  Filter by a property on the volume types (repeat option to filter by multiple properties) (admin only except for user-visible extra specs) (supported by –os-volume-api-version 3.52 or above)

--multiattach

  List only volume types with multi-attach enabled (this is an alias for ‘–property multiattach=<is> True’) (supported by –os-volume-api-version 3.52 or above)

--cacheable

  List only volume types with caching enabled (this is an alias for ‘–property cacheable=<is> True’) (admin only) (supported by –os-volume-api-version 3.52 or above)

--replicated

  List only volume types with replication enabled (this is an alias for ‘–property replication_enabled=<is> True’) (supported by –os-volume-api-version 3.52 or above)

--availability-zone <AVAILABILITY_ZONES>

  List only volume types with this availability configured (this is an alias for ‘–property RESKEY:availability_zones:<az>’) (repeat option to filter on multiple availability zones)

## volume type set

Set volume type properties

    openstack volume type set
        [--name <name>]
        [--description <description>]
        [--property <key=value>]
        [--multiattach]
        [--cacheable]
        [--replicated]
        [--availability-zone AVAILABILITY_ZONES]
        [--project <project>]
        [--public | --private]
        [--project-domain <project-domain>]
        [--encryption-provider <provider>]
        [--encryption-cipher <cipher>]
        [--encryption-key-size <key-size>]
        [--encryption-control-location <control-location>]
        <volume-type>

--name <name>

  Set volume type name

--description <description>

  Set volume type description

--property <key=value>

  Set a property on this volume type (repeat option to set multiple properties)

--multiattach

  Enable multi-attach for this volume type (this is an alias for ‘–property multiattach=<is> True’) (requires driver support)

--cacheable

  Enable caching for this volume type (this is an alias for ‘–property cacheable=<is> True’) (requires driver support)

--replicated

  Enabled replication for this volume type (this is an alias for ‘–property replication_enabled=<is> True’) (requires driver support)

--availability-zone <AVAILABILITY_ZONES>

  Set an availability zone for this volume type (this is an alias for ‘–property RESKEY:availability_zones:<az>’) (repeat option to set multiple availability zones)

--project <project>

  Set volume type access to project (name or ID) (admin only)

--public

  Volume type is accessible to the public

--private

  Volume type is not accessible to the public

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--encryption-provider <provider>

  Set the encryption provider format for this volume type (e.g “luks” or “plain”) (admin only) (This option is required when setting encryption type of a volume for the first time. Consider using other encryption options such as: “–encryption-cipher”, “–encryption-key-size” and “–encryption-control-location”)

--encryption-cipher <cipher>

  Set the encryption algorithm or mode for this volume type (e.g “aes-xts-plain64”) (admin only)

--encryption-key-size <key-size>

  Set the size of the encryption key of this volume type (e.g “128” or “256”) (admin only)

--encryption-control-location <control-location>

  Set the notional service where the encryption is performed (“front-end” or “back-end”) (admin only) (The default value for this option is “front-end” when setting encryption type of a volume for the first time. Consider using other encryption options such as: “–encryption-cipher”, “–encryption-key-size” and “–encryption-provider”)

volume-type

  Volume type to modify (name or ID)

## volume type show

Display volume type details

    openstack volume type show [--encryption-type] <volume-type>

--encryption-type

  Display encryption information of this volume type (admin only)

volume-type

  Volume type to display (name or ID)

## volume type unset

Unset volume type properties

    openstack volume type unset
        [--property <key>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--encryption-type]
        <volume-type>

--property <key>

  Remove a property from this volume type (repeat option to remove multiple properties)

--project <project>

  Removes volume type access to project (name or ID) (admin only)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--encryption-type

  Remove the encryption type for this volume type (admin only)

volume-type

  Volume type to modify (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.